IconBuilder Compatibility with Adobe Photoshop CS5

Is IconBuilder compatible with Adobe Photoshop CS5? The filter is not working properly. What's wrong?

IconBuilder is compatible with Adobe Photoshop CS5 but only when Photoshop is placed in 32-bit mode. Simply get info on Adobe Photoshop in the Finder and check the “Open in 32-bit mode” under General Information in order to use IconBuilder with CS5. IconBuilder requires 32-bit mode in order to work with older icon file formats (like resource files) that are no longer supported on 64-bit systems. Once the 32-bit box is checked, the filter will function normally.